package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupDetail;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author: cy
 * @date: 2022/4/2 10:04
 */
@ApiModel(value = "VideoLessonStudentVo对象")
public class VideoLessonStudentVo extends BaseEntity {
    private VideoLessonGroupVo lessonGroup;

    private List<VideoLessonGroupDetail> detailList;

    @ApiModelProperty(value = "true已买,false未买")
    private Boolean alreadyBuy;

    public VideoLessonGroupVo getLessonGroup() {
        return lessonGroup;
    }

    public void setLessonGroup(VideoLessonGroupVo lessonGroup) {
        this.lessonGroup = lessonGroup;
    }

    public List<VideoLessonGroupDetail> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<VideoLessonGroupDetail> detailList) {
        this.detailList = detailList;
    }

    public Boolean getAlreadyBuy() {
        return alreadyBuy;
    }

    public void setAlreadyBuy(Boolean alreadyBuy) {
        this.alreadyBuy = alreadyBuy;
    }
}
